Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZCollaborationEventType Class Reference

The class eZCollaborationEventType does. More...

Inheritance diagram for eZCollaborationEventType:

## Public Member Functions
| __construct ()
| initializeEvent ( $event, $params)
| attributes ()
| hasAttribute ( $attributeName)
| attribute ( $attributeName)
| eventContent ( $event)
Public Member Functions inherited from eZNotificationEventType
| __construct ( $notificationEventTypeString)
| eventDescription ()
| execute ( $event)

## Public Attributes
const | NOTIFICATION_TYPE_STRING = 'ezcollaboration'
Public Attributes inherited from eZNotificationEventType
| $NotificationEventTypeString
| $Attributes

## Additional Inherited Members
Static Public Member Functions inherited from eZNotificationEventType
static | create ( $notificationEventTypeString)
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | loadAndRegisterType ( $type)
static | register ( $notificationTypeString, $className)

## Detailed Description

The class eZCollaborationEventType does.

Definition at line 17 of file ezcollaborationtype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZCollaborationEventType::__construct | ( |  | ) |

Definition at line 21 of file ezcollaborationtype.php.

## Member Function Documentation

## ◆ attribute()

eZCollaborationEventType::attribute | ( |  | $attributeName | ) |

Reimplemented from eZNotificationEventType.

Definition at line 45 of file ezcollaborationtype.php.

References eZNotificationEventType\attribute().

## ◆ attributes()

eZCollaborationEventType::attributes | ( |  | ) |

Reimplemented from eZNotificationEventType.

Definition at line 33 of file ezcollaborationtype.php.

References eZNotificationEventType\attributes().

Referenced by hasAttribute().

## ◆ eventContent()

eZCollaborationEventType::eventContent | ( |  | $event | ) |

Reimplemented from eZNotificationEventType.

Definition at line 59 of file ezcollaborationtype.php.

References eZCollaborationItem\fetch().

## ◆ hasAttribute()

eZCollaborationEventType::hasAttribute | ( |  | $attributeName | ) |

Reimplemented from eZNotificationEventType.

Definition at line 40 of file ezcollaborationtype.php.

References attributes().

## ◆ initializeEvent()

eZCollaborationEventType::initializeEvent | ( |  | $event,
|  |  | $params
| ) |  |

Reimplemented from eZNotificationEventType.

Definition at line 26 of file ezcollaborationtype.php.

References eZDebugSetting\writeDebug().

## Member Data Documentation

## ◆ NOTIFICATION_TYPE_STRING

const eZCollaborationEventType::NOTIFICATION_TYPE_STRING = 'ezcollaboration'

Definition at line 19 of file ezcollaborationtype.php.

The documentation for this class was generated from the following file:

- ezcollaborationtype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.